Skip to content

List periods

Request

Security
OAuth2Sandbox
Query
employment_group_idintegerrequired

ID of the employment group to generate payroll periods for.

start_datestring, (date)required

Start of the date range to generate payroll periods for, in YYYY-MM-DD format. Must be within 2 years of the current date.

end_datestring, (date)required

End of the date range to generate payroll periods for, in YYYY-MM-DD format. Must be later than start_date, within 2 years of the current date, and at most 1 year after start_date.

curl -i -X GET \
  'https://api.<slug>.isv-test.fennoa.com/v2/payroll/periods?employment_group_id=0&start_date=2019-08-24&end_date=2019-08-24' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of generated payroll periods.

Bodyapplication/json
dataArray of objects(PayrollPeriod)
Response
{ "data": [ { … } ] }